# ElementAssets

Assets are used to store data that is related to Objects that contain them. These can be images, icons, and other 3D files, either uploaded or generated.

## Uploadable Types

The following types are uploadable:

| Name               | Type               | Valid for element                            | Max. Size          | Comment                                                                                   |
| ------------------ | ------------------ | -------------------------------------------- | ------------------ | ----------------------------------------------------------------------------------------- |
| perspectiveImage   | Image (.jpg, .png) | Item, Configuration, Plansnapshot, Component | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| perspectiveImageHD | Image (.jpg, .png) | Item                                         | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| topImage           | Image (.jpg, .png) | Item, Configuration, Plansnapshot            | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| cover              | Image (.jpg, .png) | Catalog                                      | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| brandIcon          | Image (.jpg, .png) | Catalog                                      | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| featuredImage      | Image (.jpg, .png) | Catalog                                      | 2048x2048 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| svgIcon            | Image (.jpg, .png) | Tag                                          | 100MB              |                                                                                           |
| pngIcon            | Image (.jpg, .png) | Tag                                          | 512x512 or 100MB   | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| inspirationImage   | Image (.jpg, .png) | Tag                                          | 512x512 or 100MB   | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| thumbnail          | Image (.jpg, .png) | Material                                     | 256x256 or 100MB   | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| image1k            | Image (.jpg, .png) | Texture                                      | 1024x1024 or 100MB | If the image is bigger than Max. Size, it will be resized to fit keeping the aspect ratio |
| source             | Multiformat        | Static Item, Texture, Mesh                   | 100MB              |                                                                                           |
| glb\_preview       | glTF binary (.glb) | Static Item                                  | 100MB              |                                                                                           |

## Internal Types

The following types are internally generated and cannot be uploaded:

| Name                        | Type                                    | Valid for element                              | Comment                                  |
| --------------------------- | --------------------------------------- | ---------------------------------------------- | ---------------------------------------- |
| usdz                        | Universal scene desctiption ZIP (.usdz) | Configurable Item, Configuration, Plansnapshot |                                          |
| glb                         | glTF binary (.glb)                      | Configurable Item, Configuration, Plansnapshot |                                          |
| generatedPerspectiveImage   | Image (.jpg)                            | Static Item                                    |                                          |
| generatedPerspectiveImageHD | Image (.jpg)                            | Static Item                                    |                                          |
| generatedTopImage           | Image (.jpg)                            | Static Item                                    |                                          |
| 3d-front                    | Zip archive (.zip)                      | Plansnapshot                                   | For AI project                           |
| src                         | Multiformat                             | Static Item, Mesh, Texture                     | The source used to generate other assets |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/elementassets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
